%define name	digikam
%define version 0.5.1
%define release 8mdk

Summary: 		GPhoto2 KDE3 frontend
Name: 			%name
Version: 		%version
Release: 		%release
Source: 		%name-%version.tar.bz2
Group: 			Graphics
License: 		GPL
URL: 			http://digikam.sourceforge.net/
Requires: 		libgphoto2 >= 2.0-2mdk libfam0 >= 2.6.7-5mdk gphoto2 >= 2.0-2mdk 
BuildRequires: 		libgphoto2-devel 
BuildRequires:		kdesdk
BuildRequires:		kdelibs-devel
BuildRequires:		libxml2-utils
BuildRoot: 		%_tmppath/%{name}-%{version}-buildroot

%description
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images 
from a digital camera on a linux machine.

%prep

%setup -q -n digikam-%{version}
rm -rf "$RPM_BUILD_ROOT"

%build -n digikam-%{version}
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export WANT_AUTOCONF_2_5=1

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
        --enable-mt \
        --with-qt-dir=%_libdir/qt3 \
        --disable-debug --disable-rpath --libdir=%_libdir
			
%make

%install
make DESTDIR=%buildroot install

install -d $RPM_BUILD_ROOT%_menudir

#kdedesktop2mdkmenu.pl digikam Multimedia/Graphics %buildroot/%_datadir/applnk/Applications/digikam.desktop %buildroot/%_menudir/digikam

(cd $RPM_BUILD_ROOT
mkdir -p .%{_menudir}
cat > .%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/digikam" \
title="Digikam" \
longtitle="GPhoto2 KDE3 frontend" \
needs="x11" \
section="Multimedia/Graphics" \
icon="video_section.png"
EOF
)


%{find_lang} %{name}
%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files  -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%doc TODO

%_bindir/*
%_menudir/*

%dir %_datadir/doc/HTML/en/digikam
%dir %_datadir/apps/digikam
%dir %_datadir/doc/HTML/en/digikam/common
%dir %_datadir/doc/HTML/fr/digikam
%dir %_datadir/doc/HTML/fr/digikam/common

%doc %_datadir/doc/HTML/en/digikam/index*
%doc %_datadir/doc/HTML/fr/digikam/index*

%_datadir/apps/digikam/digikamui.rc

%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/22x22/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png
%_datadir/icons/locolor/48x48/apps/*.png
%_datadir/icons/hicolor/16x16/apps/*.png
%_datadir/icons/hicolor/22x22/apps/*.png
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/hicolor/48x48/apps/*.png

%_datadir/applnk/Graphics/digikam.desktop
%_datadir/apps/digikam/digikam-splash.png
%_datadir/apps/digikam/digikamui.rc


%changelog
* Fri Sep 05 2003 Marcel Pol <mpol@gmx.net> 0.5.1-8mdk
- buildrequires

* Tue Aug 12 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-7mdk
- rebuild

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-6mdk
- adjust buildrequires

* Mon Feb 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-5mdk
- fix buildrequires

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-4mdk
- rebuild

* Fri Jan 17 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-3mdk
- BuildRequires: kdesdk
- fix unpackaged files

* Wed Sep 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-2mdk
- from Gilles CAULIER <caulier.gilles@free.fr> :
- Update Spec file for MDK 9.0 : add BuildRequires: libexif7-devel

* Tue Sep 03 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.5.1-1mdk
- New release with upload feature & French translations (DOC & GUI).
- Change GUI design with Drag & drop feature.
- Gphoto2 USB Mass storage support.
- Remove BuildRequires: libexif7-devel
- Add Requires : gphoto2 libgphoto2 libfam0

* Fri Aug 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-4mdk
- from Xavier Granier <xavier.granier@laposte.net> :
	- Move menu to Multimedia/Graphics
	- add BuildRequires:            libexif7-devel


* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- add in-spec-menu

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- adjust buildrequires

* Wed Jul 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- from Gilles CAULIER <caulier.gilles@free.fr> :
	- Update release 0.5.0 : KDE3 port. Update spec file.

* Fri Jul 12 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-2mdk
- Fix some bugs on 'spec' file

* Mon Jul 08 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.4.1-1mdk
- Original release
